public class ElencoStringhe{
	private String[] stringhe; //memorizza l'elenco di stringhe

	/*Costruttore: permette di creare un oggetto ElencoStringhe,
      specificando le stringhe dellelenco tramite un array */
	public ElencoStringhe (String[] stringhe){
		this.stringhe = new String[stringhe.length];
		for (int i=0; i<stringhe.length; i++)
			this.stringhe[i]=stringhe[i];
	}

	/*Restituisce la somma delle lunghezze di tutte le stringhe nellarray*/
	public int sommaLunghezze (){
		int somma = 0;
		for (int i=0; i<this.stringhe.length; i++)
			somma += this.stringhe[i].length();
		return somma;
	}

	/*Restituisce la stringa pi lunga nellarray*/
	public String stringaLunga (){
		String lunga = this.stringhe[0];
		for (int i=1; i<this.stringhe.length; i++)
			if (this.stringhe[i].length() > lunga.length())
				lunga = this.stringhe[i];
		return lunga;
	}

}
