public class ListaInteri{
	private int[] numeri; //memorizza la sequenza di numeri interi

	/*Costruttore: permette di creare un oggetto ListaInteri la cui sequenza di numeri 
	quella contenuta nell'array seq passato come parametro*/
	public ListaInteri(int[] seq){
		this.numeri = new int[seq.length];
		for (int i=0; i<seq.length; i++)
			this.numeri[i] = seq[i];
	}


	/*Restituisce un array che contiene i soli numeri pari della sequenza di interi*/
	public int[] pari(){
		// conta gli elementi pari nella sequenza di numeri
		int numPari=0;
		for(int i=0; i<this.numeri.length; i++)
			if (this.numeri[i]%2==0)
				numPari++;

		// crea l'array da restituire
		int[] parisolo = new int[numPari];

		// inserisce i numeri pari nell'array da restituire
		int j=0; // la prossima posizione libera nell'array da restituire
		for(int i=0; i<this.numeri.length; i++)
			if (this.numeri[i]%2==0){
				parisolo[j]=this.numeri[i];
				j++;
			}

		// restituisce l'array
		return parisolo;
	}

}


