public class AutoDaNoleggio{
	private String modello; //memorizza il modello di auto
	private int cilindrata; //memorizza la cilindrata
	private double costoOrario; //memorizza il costo orario di noleggio

	/*Costruttore: permette di creare un oggetto AutoDaNoleggio,
      specificando le sue varie caratteristiche
    */
	public AutoDaNoleggio (String mod, int cilind, double costo){
		this.modello = mod;
		this.cilindrata = cilind;
		this.costoOrario = costo;
	}

	/*Restituisce il costo di noleggio per il numero di giorni specificato
    */
	public double costoNoleggio (int giorni){
		return this.costoOrario*24*giorni;
	}

	/*Restituisce una descrizione delloggetto, completa delle sue
  	  caratteristiche di base e del costo di noleggio settimanale (cio per 7 giorni).
  	*/
	public String toString ( ){
	  String des = "";
	  des += "Modello: " + this.modello + "\n";
	  des += "Cilindrata: " + this.cilindrata + "\n";
	  des += "Costo settimanale: " + this.costoNoleggio(7) + "\n";
	  return des;
	}

}
